function update(dt)

    local gearText = tostring(car.gear) -- needs to be converted so that neutral and reverse display correctly (-1 = R, 0 = N)
    if car.gear == -1 then
        gearText = "R"
    end
    if car.gear == 0 then
        gearText = "N"
    end
    
    display.text {
        text = gearText,
        pos = vec2(272, 885),
        letter = vec2(60,130),
        color = rgbm(1,0,0,0.3),
        font = "370gt",
        width = 0.5,
        alignment = 0,
        spacing = -1.0
    }   
    

    display.text{
        text = string.format("%04.0F", car.distanceDrivenSessionKm),
        pos = vec2(401, 940),
        letter = vec2(23,70),
        font = "370gt",
        color = rgbm(1,0,0,0.3),  
        width = 0.5,
        spacing = 2,
        alignment = -1.0
    }

    display.text{
        text = string.format("%06.0F", car.distanceDrivenTotalKm),
        pos = vec2(350, 890),
        letter = vec2(23,70),
        font = "370gt",
        color = rgbm(1,0,0,0.3), 
        width = 0.5,
        spacing = 2,
        alignment = -1.0
    }
    
    end

